| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Public Attributes | List of all members
jpeg_downsampler Struct Reference

`#include <jpegint.h>`

## Public Member Functions
| JMETHOD (void, start_pass,(j_compress_ptr cinfo))
| JMETHOD (void, downsample,(j_compress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION in_row_index, JSAMPIMAGE output_buf, JDIMENSION out_row_group_index))

## Public Attributes
boolean | need_context_rows

## Detailed Description

Definition at line 91 of file jpegint.h.

## Member Function Documentation

jpeg_downsampler::JMETHOD | ( | void | ,
|  | start_pass | ,
|  | (j_compress_ptr cinfo) |
| ) |  |

jpeg_downsampler::JMETHOD | ( | void | ,
|  | downsample | ,
|  | (j_compress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION in_row_index, JSAMPIMAGE output_buf, JDIMENSION out_row_group_index) |
| ) |  |

## Member Data Documentation

boolean jpeg_downsampler::need_context_rows

Definition at line 98 of file jpegint.h.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jpegint.h